<script>

  function chkBefore() { {*PDF出力前チェック*}
    var errflg = false;
    var frmh = $("#headerTop");
    var frm = $(this).closest(".contents").find(".header");
    common.clearFormError(frm);
    var  wprompt;

    var vseqs = common.getValue(frmh.find(".vseqs"));
    var vseqe = common.getValue(frmh.find(".vseqe"));
console.log("vseqs:"+vseqs);
console.log("vseqe:"+vseqe);
    {*入力チェック*}
    if(vseqs != vseqe){
      if(stringUtil.isEmpty(frmh.find(".hdat").val()) ) {
        errflg = true;
        common.addError(frmh.find(".hdat"),"入力して下さい。" , null, true);
      }

      if(stringUtil.isEmpty(frmh.find(".mcd").val()) ) {
        errflg = true;
        common.addError(frmh.find(".mcd"),"入力して下さい。" , null, true);
      }
    }
    

    return errflg;
    
  }

  function do_PDF() {
    let errflg = false;
    var frmh = $("#headerTop");
    common.clearFormError(frmh);
    
    if (chkBefore()) {
      alert('エラーがあります');
      return false;
    } else {
      if(window.confirm("【発注書】を出力します。よろしいですか？")) {


        {*発注書データ作成のため、plsqのコール*}
        var sendData = {};
        sendData["hdat"]   = common.getValue(frmh.find(".hdat"));
        sendData["mcd"]    = common.getValue(frmh.find(".mcd"));
        sendData["vseqs"]  = common.getValue(frmh.find(".vseqs"));
        sendData["vseqe"]  = common.getValue(frmh.find(".vseqe"));

        common.postData(
            "./callFmAF412Get.php"
          , sendData
          , function (data) {
            // 特殊処理があれば
            var obj = JSON.parse(data);

            if(obj.ret == '0') {

              let param2 = { "method": "GetWseqMjan" };
              let irep = "AF412X";
          
              $.ajax({
                type: "GET",
                url: "../../api/getWseq.php",
                data: param2,
                dataType: "json",
                scriptCharset: 'utf-8',
                success: function(data, status, xhr) {
                  //var wurl = "{$_REPORT_URL}" + "AF999I?WSEQ=" + JSON.parse(data.data)
                  var wurl = "{$_REPORT_URL}" + "AF412X?WSEQ=" + JSON.parse(data.data)
                          + "&IREP=" + irep
                          + "&CHGCD=" + "{$_SYSTEM_NAME_EN_CHGCD}"
                          + "&KTKTCD=" + "{$_SYSTEM_NAME_EN_LGKTKTCD}"
                          + "&VEND=" + "{$_SYSTEM_NAME_EN_VEND}"
                          + "&ACCD=" + "{$_SYSTEM_NAME_EN_ACCD}"
                          + "&DBNO=" + "{$_SYSTEM_NO}"
                          {*
                          + "&JOKEN1=" + common.getValue(frmh.find(".hdat"))
                          + "&JOKEN2=" + common.getValue(frmh.find(".mcd"))
                          + "&JOKEN3=" + common.getValue(frmh.find(".vseqs"))
                          + "&JOKEN4=" + common.getValue(frmh.find(".vseqe"))
                          *}
                          + "&JOKEN1=" + obj.pwseq
                          + '&PDF=1';
                  window.open(wurl, irep+JSON.parse(data.data));
                }
              });

            } else {
              alert("発注書データ作成に失敗しました。");
            }
          }
          , function (error) {
            alert(error.msg);
          }
        );

      }
    }
  }

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/

    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
    });
    //　F5
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 PDF
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
      do_PDF();
    });
    //　F10
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click');
    });

    //画面初期表示時動作
    $("#headerTop").find(".hdat").focus();

    //MENUボタン===============================
    $(document).on("focus", ".header .dummy", function(e) {
      $("#topmenu").find(".Func10").focus();
    });

    $("#headerTop").find(".keycd").focus();
    

    //====明細行動作======

  });

</script>
